# Retrieve_Job

Retrieve a job.

`GET /v2/jobs/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Jobs
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Jobs/Retrieve_Job/

## Description

Retrieve a job, and all its associated details.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the job object. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `JobResponse` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `JobResponse`

Job Response Model

| Property | Type | Required | Description |
|---|---|---|---|
| `created` | string | No | DateTime of when the record was created. Example: `2017-10-26 12:41:48.377959`. |
| `exposure_zone` | ExposureZone | No |  |
| `id` | integer | No | System Generated job id Example: `1`. |
| `job_number` | string | No | Customer provided job number. Example: `1212`. |
| `modified` | string | No | DateTime of when the record was modified. Example: `2017-10-26 12:41:48.377959`. |
| `name` | string | No | The name of the job. Example: `Rufus - Patio Build`. |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/jobs/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```